Installer Emacs 27 sur Debian Buster

Temps de lecture : < 1 minute

Dans la version Emacs native de Debian Buster (26.1) j'ai voulu installer org2blog pour écrire un article et publier et là, c'est le drame.

org2blog1.png

Figure 1: Impossible d'installer org2blog sur Emacs 26.1

Installation à partir des sources

Préparer Debian en installant les paquets permettant de compiler les sources.

sudo apt install build-essential git
sudo apt build-dep emacs25

build-dep emacs25 : permet d'installer les paquets de développement nécessaires pour emacs.

Téléchargement des sources :

À partir d'une commande git :

git clone --depth 1 --branch emacs-27 https://git.savannah.gnu.org/git/emacs.git

Cela créé un répertoire emacs contentant les sources.

Compilation

Aller dans le répertoire emacs et taper les commandes :

 ./autogen.sh
 ./configure
make

Quand l’application est compilée, on peut l'installer sur Debian avec sudo make install. Cela créé une entrée de menu dans le menu Développement de Debian.